org.deidentifier.arx.examples

## Class Example21

- java.lang.Object
- - org.deidentifier.arx.examples.Example
  - - org.deidentifier.arx.examples.Example21

    public class Example21
    extends Example

This class demonstrates the use of the data import facilities provided by the ARX framework. Data can be imported from various types of sources, e.g. CSV files, Excel files and databases (using JDBC). The API is mostly the same for all of these sources, although not all options might be available in each case. Refer to the comments further down below for details about particular sources.

Author:
  Karol Babioch, Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`Example21()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main(java.lang.String[] args)` Main entry point.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Example21

    public Example21()

### Method Detail

#### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException,
                            java.sql.SQLException,
                            java.lang.ClassNotFoundException

Main entry point.

Parameters:
  `args` -
Throws:
  `java.io.IOException`
  `java.sql.SQLException`
  `java.lang.ClassNotFoundException`